Update settings on a Slack installation
PUT
/v1/slack/installations/{id}
const url = 'https://your-notavia-host/v1/slack/installations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"auto_join_public_channels":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://your-notavia-host/v1/slack/installations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "auto_join_public_channels": true }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string format: uuid
Request Body required
Section titled “Request Body required ” Media type application/json
object
auto_join_public_channels
required
boolean
Example generated
{ "auto_join_public_channels": true}Responses
Section titled “ Responses ”Updated installation.
Media type application/json
Represents a Slack workspace installation for an environment.
object
id
string format: uuid
team_id
Slack workspace team id (Txxxxxxxxx).
string
team_name
string
bot_user_id
Slack bot user id (Uxxxxxxxxx).
string
app_id
string
scopes
OAuth scopes granted to the bot token.
Array<string>
auto_join_public_channels
When true the dispatcher will attempt to join a public channel
(id starting with C) if the bot is not already a member.
boolean
installed_at
string format: date-time
installed_by_user_id
NotifyService user id who completed the OAuth flow.
string format: uuid
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "team_id": "example", "team_name": "example", "bot_user_id": "example", "app_id": "example", "scopes": [ "example" ], "auto_join_public_channels": true, "installed_at": "2026-04-15T12:00:00Z", "installed_by_user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Missing or invalid credentials.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Credentials do not have the required scope.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}Resource not found.
Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
Example generated
{ "error": { "type": "example", "code": "example", "message": "example", "param": "example" }}